| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::PanIconWidget Class Reference
Inheritance diagram for Digikam::PanIconWidget:

## Public Slots
void | slotZoomFactorChanged (double)

## Signals
void | signalSelectionMoved (const QRect &rect, bool targetDone)
| Emitted when selection have been moved with mouse.

## Public Member Functions
| PanIconWidget (QWidget *const parent=nullptr)
QRect | getRegionSelection () const
void | setImage (const QImage &scaledPreviewImage, const QSize &fullImageSize)
void | setImage (int previewWidth, int previewHeight, const DImg &fullOriginalImage)
void | setImage (int previewWidth, int previewHeight, const QImage &fullOriginalImage)
void | setPreviewMode (int previewMode)
void | setRegionSelection (const QRect &regionSelection)

## Protected Member Functions
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override
void | regionSelectionMoved (bool targetDone)
| Recalculate the target selection position and emit 'signalSelectionMoved'.

## Member Function Documentation

## ◆ signalSelectionMoved

void Digikam::PanIconWidget::signalSelectionMoved | ( | const QRect & | rect,
|  | bool | targetDone
| ) |  |
| signal

'targetDone' boolean value is used for indicate if the mouse have been released.